package com.nbclass.activity.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.nbclass.activity.mapper.CaseTypeMapper;
import com.nbclass.activity.model.Content;
import com.nbclass.activity.model.ContentTags;
import com.nbclass.activity.model.DataDict;
import com.nbclass.activity.model.DataDictItem;
import com.nbclass.activity.service.CaseTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CaseTypeServiceImpl implements CaseTypeService {

    @Autowired
    private CaseTypeMapper caseTypeMapper;

    @Override
    public List<DataDictItem> getTypeCase(Integer dictId) {
        return caseTypeMapper.getTypeCase(dictId);
    }

    @Override
    public List<DataDict> getDictionariesType() {
       return caseTypeMapper.getDictionariesType();
    }

    @Override
    public Content getListCase(Long contentId) {
        return caseTypeMapper.getListCase(contentId);
    }

    @Override
    public ContentTags getContentTags(Integer contentId) {
        return caseTypeMapper.getContentTags(contentId);
    }

}
